DS Server

POST /documentprocessing/pdf/acroforms/fields

Endpoint

POST https://example.com/documentprocessing/pdf/acroforms/fields

Description

Returns all AcroForm fields of a given PDF document.

Examples

The following example returns the form fields of a given PDF document.

# Request:
curl --location --request POST 'https://trial.dsserver.io/documentprocessing/pdf/acroforms/fields' \
    --header 'Content-Type: application/json' \
    --header 'Authorization: Bearer fePFHv8OtIyRSCAdOnn7USc9kKdYB2rg' \
    --data-raw '"JVBERi0xLjY[..]="'

# Result:
[
    {
        "value": "",
        "fieldName": "TextField1",
        "alternateFieldName": "",
        "fieldType": "FormTextField",
        "bounds": {
            "x": 2498,
            "y": 13138,
            "width": 7996,
            "height": 440
        }
    },
    {
        "isChecked": false,
        "fieldName": "Check Box2",
        "alternateFieldName": "",
        "fieldType": "FormCheckBox",
        "bounds": {
            "x": 3519,
            "y": 12567,
            "width": 7398,
            "height": 360
        }
    }
]

Authorization

This endpoint supports the OAuth authorization method. DS Server checks the access token only when OAuth is enabled in the admin portal (see Enable OAuth). With OAuth disabled, the default of a new installation, the endpoint accepts requests without a token.

DS Server implements OAuth as the authorization method. Two flows are supported:

  • Authorization Code
  • Client Credentials

To use the Client Credentials flow, switch on Allow “Client Credentials” grant type in the security profile (see OAuth Grant Types).

In both cases, a valid access token returned from the OAuth endpoints must be passed in a Bearer Authorization Header, as a Query Parameter or in a Cookie.

Authorization Header

Header fieldDescription
AuthorizationA Bearer authorization header (also called token authentication) contains the OAuth access token. The authorization method and a space i.e. "Bearer " is then put before your valid access token. For example: Authorization: Bearer 4796E23054E64BC773CACBCAF24AD179DE9A3

Query Parameter

Query parameterDescription
access_tokenThe access token is passed directly in the endpoint URL as a query string. For example: ?access_token=4796E23054E64BC773CACBCAF24AD179DE9A3

Cookie

CookieDescription
access_tokenThe access token is passed in a cookie named access_token. For example: Cookie: access_token=4796E23054E64BC773CACBCAF24AD179DE9A3

Request Payload

TypeValue
StringThe PDF document encoded as a Base64 string.

Success Response

StatusTypeDescription
200FormFieldOn success, the HTTP status code in the response header is 200 (OK). The response body contains an array of FormField objects.

FormField

NameTypeValueOptional
alternateFieldNameStringThe alternate field name.yes
fieldNameStringThe field name.yes
fieldTypeStringThe field type, for example "FormTextField" or "FormCheckBox".yes
boundsRectangleThe bounds of the field in the document.yes
FormTextFieldInherited object. See description below.yes
FormCheckBoxInherited object. See description below.yes
FormButtonInherited object without further properties.yes
FormChoiceFieldInherited object. See description below.yes
FormComboBoxInherited object. See description below.yes
FormListBoxInherited object. See description below.yes
FormRadioButtonInherited object. See description below.yes

Rectangle

NameTypeValueOptional
xIntegerThe horizontal position of the rectangle.no
yIntegerThe vertical position of the rectangle.no
widthIntegerThe width of the rectangle.no
heightIntegerThe height of the rectangle.no

FormTextField

NameTypeValueOptional
valueStringThe text of the text field.yes

FormCheckBox

NameTypeValueOptional
isCheckedBooleanSpecifies whether the check box is checked or not.yes

FormChoiceField

NameTypeValueOptional
optionsString[]Gets or sets the option elements of a choice field.yes
canEditBooleanSpecifies whether a field can be edited.yes
sortBooleanSpecifies whether the list can be sorted.yes
multiSelectBooleanSpecifies whether multiple options can be selected.yes
doNotSpellCheckBooleanSpecifies whether the text is not spell checked.yes
commitOnSelChangeBooleanSpecifies whether the new value is committed as soon as the selection changes.yes
valueStringGets or sets the selected value of a choice list.yes

FormComboBox

NameTypeValueOptional
optionsString[]Gets or sets the option elements of a choice field.yes
canEditBooleanSpecifies whether a field can be edited.yes
sortBooleanSpecifies whether the list can be sorted.yes
multiSelectBooleanSpecifies whether multiple options can be selected.yes
doNotSpellCheckBooleanSpecifies whether the text is not spell checked.yes
commitOnSelChangeBooleanSpecifies whether the new value is committed as soon as the selection changes.yes
valueStringGets or sets the selected value of a choice list.yes

FormListBox

NameTypeValueOptional
optionsString[]Gets or sets the option elements of a choice field.yes
canEditBooleanSpecifies whether a field can be edited.yes
sortBooleanSpecifies whether the list can be sorted.yes
multiSelectBooleanSpecifies whether multiple options can be selected.yes
doNotSpellCheckBooleanSpecifies whether the text is not spell checked.yes
commitOnSelChangeBooleanSpecifies whether the new value is committed as soon as the selection changes.yes
valueStringGets or sets the selected value of a choice list.yes

FormRadioButton

NameTypeValueOptional
isCheckedBooleanSpecifies whether the radio button is selected or not.yes

Error Response

StatusDescription
401A 401 (Unauthorized) with an empty body is returned, if OAuth is enabled and the request has no valid access token.
400A 400 (Bad Request) is returned, if the body can't be read as a JSON string ("The JSON value could not be converted to System.String."). The body is a problem details object (application/problem+json) with the title "One or more validation errors occurred." and the message per field in errors. This check comes before the license check.
415A 415 (Unsupported Media Type) is returned, if the Content-Type header of a request with a body is not application/json.
405A 405 (Method Not Allowed) with an empty body and the header Allow: POST is returned for any other HTTP method, for example GET.
400A 400 (Bad Request) is returned, if DS Server is not licensed or the license is invalid. On a server that is not registered, the body is the plain text DS Server is not registered. (text/plain). DS Server checks the license before the parameter values, but after it has read the body and the typed query parameters.
400A 400 (Bad Request) is returned, if no fields are found in the PDF document.
400A 400 (Bad Request) is returned, if the uploaded document is not valid.